// MenuKey.h
// © 2000 Sum Software
// Sander R.M. Stoks - sanders@sumware.demon.nl
// This code is in the public domain.

#ifndef _MENUKEY_H
#define _MENUKEY_H

#include <add-ons/input_server/InputServerDevice.h>
#include <OS.h>

extern "C" _EXPORT BInputServerDevice *instantiate_input_device();

class MenuKey : public BInputServerDevice
{
public:
					 MenuKey();
virtual				~MenuKey();

virtual status_t	 InitCheck();
virtual status_t	 SystemShuttingDown();
virtual status_t	 Start (const char *device, void *cookie);
virtual	status_t	 Stop (const char *device, void *cookie);
virtual status_t	 Control (const char *device, void *cookie, uint32 code, BMessage *message);

private:
static int32		 key_thread(void *data);

static bool			 fActive;
static bool			 fValid;
static thread_id	 fThread;
};

#endif